if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[up_MaxPageNum]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[up_MaxPageNum]
GO

Create Proc up_MaxPageNum
@lPageUnit int
as
SET NOCOUNT ON
------------------------------------
/*
CreateDate: 		2006-01-08
CreateBy:		DEXLEAP.COM
CreatePurpose:
(1)Return the latest (biggest) page number
RevisDate:
ReviseBy:
ReviseReason:
*/
------------------------------------
------------------------------------
--Customize Declaration
------------------------------------
Declare
	@cntEntry int,
	@maxPageNum int

------------------------------------
--Customize Initialize
------------------------------------
------------------------------------
--Main Logic
------------------------------------
Select 
	--latest (biggest) page
	@cntEntry  = count(ixArchiveEntry)
From
	tdatArchiveEntry	


if @cntEntry%@lPageUnit=0
Begin
	Select 
		@maxPageNum = @cntEntry/@lPageUnit 
End 
Else
Begin
	Select 
		@maxPageNum = @cntEntry/@lPageUnit+1 

End
------------------------------------
--OutPut
------------------------------------
Select 
	@maxPageNum
	
